package de.ozgcloud.bescheid;

import java.util.Optional;

import org.apache.commons.lang3.StringUtils;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper
public interface GrpcBescheidMapper {

	@Mapping(target = "mergeFrom", ignore = true)
	@Mapping(target = "clearField", ignore = true)
	@Mapping(target = "clearOneof", ignore = true)
	@Mapping(target = "mergeUnknownFields", ignore = true)
	@Mapping(target = "bescheidDocument", ignore = true)
	@Mapping(target = "bescheidDocumentBytes", ignore = true)
	@Mapping(target = "beschiedenAm", ignore = true)
	@Mapping(target = "beschiedenAmBytes", ignore = true)
	@Mapping(target = "nachrichtSubject", ignore = true)
	@Mapping(target = "nachrichtSubjectBytes", ignore = true)
	@Mapping(target = "nachrichtTextBytes", ignore = true)
	@Mapping(target = "sendBy", ignore = true)
	@Mapping(target = "sendByBytes", ignore = true)
	@Mapping(target = "unknownFields", ignore = true)
	@Mapping(target = "allFields", ignore = true)
	@Mapping(target = "attachmentsList", ignore = true)

	@Mapping(target = "nachrichtText", source = "nachrichtText")
	@Mapping(target = "bewilligt", source = "genehmigt")
	GrpcBescheid fromBescheid(Bescheid bescheid);

	default String fromOptional(Optional<String> optionalString) {
		return optionalString.orElse(StringUtils.EMPTY);
	}

	@Mapping(target = "versionBytes", ignore = true)
	@Mapping(target = "unknownFields", ignore = true)
	@Mapping(target = "mergeUnknownFields", ignore = true)
	@Mapping(target = "mergeFrom", ignore = true)
	@Mapping(target = "mergeFeatures", ignore = true)
	@Mapping(target = "javaVersionBytes", ignore = true)
	@Mapping(target = "clearOneof", ignore = true)
	@Mapping(target = "clearField", ignore = true)
	GrpcBescheidManagerConfigResponse fromBescheidManagerConfig(BescheidManagerConfig bescheidManagerConfig);
}
