package de.ozgcloud.vorgang.common.migration;

import org.springframework.data.mongodb.core.MongoTemplate;

import io.mongock.api.annotations.ChangeUnit;
import io.mongock.api.annotations.Execution;
import io.mongock.api.annotations.RollbackExecution;

@ChangeUnit(id = "2023-11-29 14:45:00 OZG-4191-OZG-4629", order = "M007", author = "mkuester", runAlways = true)
public class M007_UpdateMailServiceClientNameInClientAttributes { // NOSONAR

	private static final String VORGANG_COLLECTION = "vorgang";

	static final String OLD_CLIENT_NAME = "MailService ";
	static final String NEW_CLIENT_NAME = "OzgCloud_NachrichtenManager";

	@Execution
	public void doMigration(MongoTemplate template) {
		template.updateMulti(
				RenameUtil.createFindVorgangClientAttributesQuery(OLD_CLIENT_NAME),
				RenameUtil.createVorgangClientAttributesClientUpdate(OLD_CLIENT_NAME, NEW_CLIENT_NAME),
				VORGANG_COLLECTION);
	}

	@RollbackExecution
	public void rollback() {
		// kein rollback implementiert
	}
}
